axipcie: XAxiPcie_Config Struct Reference

| axipcie Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XAxiPcie_Config Struct Reference
Axipcie_v3_1

This typedef contains IP hardware configuration information. More...

## Data Fields
u16 | DeviceId
| Unique ID of PCIe IP. More...
UINTPTR | BaseAddress
| Register base address. More...
u8 | IncludeBarOffsetReg
| Are BAR Offset registers built in hardware. More...
u8 | IncludeRootComplex
| Is IP built as root complex. More...

## Detailed Description

This typedef contains IP hardware configuration information.

## Field Documentation

UINTPTR XAxiPcie_Config::BaseAddress

Register base address.

Referenced by PCIeEndPointInitialize(), PcieInitRootComplex(), XAxiPcie_CfgInitialize(), XAxiPcie_ClearPendingInterrupts(), XAxiPcie_ClearRootPortErrFIFOMsg(), XAxiPcie_ClearRootPortIntFIFOReg(), XAxiPcie_DisableGlobalInterrupt(), XAxiPcie_DisableInterrupts(), XAxiPcie_EnableGlobalInterrupt(), XAxiPcie_EnableInterrupts(), XAxiPcie_GetBridgeInfo(), XAxiPcie_GetEnabledInterrupts(), XAxiPcie_GetLocalBusBar2PcieBar(), XAxiPcie_GetPendingInterrupts(), XAxiPcie_GetPhyStatusCtrl(), XAxiPcie_GetRequesterId(), XAxiPcie_GetRootPortErrFIFOMsg(), XAxiPcie_GetRootPortIntFIFOReg(), XAxiPcie_GetRootPortStatusCtrl(), XAxiPcie_GetVsecCapability(), XAxiPcie_GetVsecHeader(), XAxiPcie_ReadLocalConfigSpace(), XAxiPcie_ReadRemoteConfigSpace(), XAxiPcie_SetLocalBusBar2PcieBar(), XAxiPcie_SetRootPortMSIBase(), XAxiPcie_SetRootPortStatusCtrl(), XAxiPcie_WriteLocalConfigSpace(), and XAxiPcie_WriteRemoteConfigSpace().

u16 XAxiPcie_Config::DeviceId

Unique ID of PCIe IP.

u8 XAxiPcie_Config::IncludeBarOffsetReg

Are BAR Offset registers built in hardware.

Referenced by XAxiPcie_GetLocalBusBar2PcieBar(), and XAxiPcie_SetLocalBusBar2PcieBar().

u8 XAxiPcie_Config::IncludeRootComplex

Is IP built as root complex.

Referenced by PcieInitRootComplex(), XAxiPcie_ClearRootPortErrFIFOMsg(), XAxiPcie_ClearRootPortIntFIFOReg(), XAxiPcie_GetRootPortErrFIFOMsg(), XAxiPcie_GetRootPortIntFIFOReg(), XAxiPcie_GetRootPortStatusCtrl(), XAxiPcie_ReadRemoteConfigSpace(), XAxiPcie_SetRootPortMSIBase(), XAxiPcie_SetRootPortStatusCtrl(), XAxiPcie_WriteLocalConfigSpace(), and XAxiPcie_WriteRemoteConfigSpace().